<template>
    <div class="flex justify-center items-center">
        <div @click="toggleCheckBox" :class="{'bg-active-checkBox , border-none' : props.modelValue}" class="flex items-center justify-center w-[40px] h-[40px] cursor-pointer border-2 border-[#C5C9D8] rounded-md">
            <Transition name="tick-appear">
              <img class="w-[25px] select-none" v-show="props.modelValue" alt="X" src="../assets/checkbox-icons/active-checkbox.svg" />
            </Transition>
        </div>
    </div>
</template>

<script setup>

const props = defineProps({
  modelValue: {
    type: Boolean,
    required: true
  }
})

const emit = defineEmits({ 'update:model-value': null })
const toggleCheckBox = () => {
  emit('update:model-value', !props.modelValue)
}

</script>

<style>
  .tick-appear-enter-active,
  .tick-appear-leave-active {
    transition: opacity 0.5s ease;
  }

  .tick-appear-enter-from,
  .tick-appear-leave-to {
    opacity: 0;
  }
</style>
